#define DS 8 //линия для передачи данных
#define SH 7 //сдвиг разряда на единицу
#define ST 4 //установка режима ввода или вывода данных

void setup (){
  pinMode(DS,OUTPUT); // Устанавливаем вывод как выход
  pinMode(SH,OUTPUT); // Устанавливаем вывод как выход
  pinMode(ST,OUTPUT); // Устанавливаем вывод как выход

 
}

void loop(){
 digitalWrite(ST, LOW); //Устанавливаем на 12х выводах регистров режим ввода данных
  shiftOut(DS, SH, MSBFIRST, 0b00010100 ); //Запись информации в правый регистр
  shiftOut(DS, SH, MSBFIRST, 0b11111100 );    //Запись информации в левый регистр
  digitalWrite(ST, HIGH); //Устанавливаем на 12х выводах регистров режим вывода данных
  
   digitalWrite(ST, LOW); //Устанавливаем на 12х выводах регистров режим ввода данных
  shiftOut(DS, SH, MSBFIRST, 0b00011110 ); //Запись информации в правый регистр
  shiftOut(DS, SH, MSBFIRST, 0b11110010 );    //Запись информации в левый регистр
  digitalWrite(ST, HIGH); //Устанавливаем на 12х выводах регистров режим вывода данных
}

